diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/a2-a4-rsrq-handover-algorithm.h ns-3.44/src/lte/model/a2-a4-rsrq-handover-algorithm.h
--- ns-3.43/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2025-03-09 16:55:49.479371500 -0700
@@ -20,8 +20,8 @@
 #include "lte-handover-management-sap.h"
 #include "lte-rrc-sap.h"
 
-#include <ns3/ptr.h>
-#include <ns3/simple-ref-count.h>
+#include "ns3/ptr.h"
+#include "ns3/simple-ref-count.h"
 
 #include <map>
 
@@ -29,7 +29,7 @@
 {
 
 /**
- * \brief Handover algorithm implementation based on RSRQ measurements, Event
+ * @brief Handover algorithm implementation based on RSRQ measurements, Event
  *        A2 and Event A4.
  *
  * Handover decision made by this algorithm is primarily based on Event A2
@@ -63,7 +63,7 @@
  *                                               UintegerValue (1));
  *     NetDeviceContainer enbLteDevs = lteHelper->InstallEnbDevice (enbNodes);
  *
- * \note Setting the handover algorithm type and attributes after the call to
+ * @note Setting the handover algorithm type and attributes after the call to
  *       LteHelper::InstallEnbDevice does not have any effect to the devices
  *       that have already been installed.
  */
@@ -76,8 +76,8 @@
     ~A2A4RsrqHandoverAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -100,8 +100,8 @@
     /**
      * Called when Event A2 is detected, then trigger a handover if needed.
      *
-     * \param rnti The RNTI of the UE who reported the event.
-     * \param servingCellRsrq The RSRQ of this cell as reported by the UE.
+     * @param rnti The RNTI of the UE who reported the event.
+     * @param servingCellRsrq The RSRQ of this cell as reported by the UE.
      */
     void EvaluateHandover(uint16_t rnti, uint8_t servingCellRsrq);
 
@@ -109,8 +109,8 @@
      * Determines if a neighbour cell is a valid destination for handover.
      * Currently always return true.
      *
-     * \param cellId The cell ID of the neighbour cell.
-     * \return True if the cell is a valid destination for handover.
+     * @param cellId The cell ID of the neighbour cell.
+     * @return True if the cell is a valid destination for handover.
      */
     bool IsValidNeighbour(uint16_t cellId);
 
@@ -120,9 +120,9 @@
      * entry will be created. Only the latest measurements are stored in the
      * table.
      *
-     * \param rnti The RNTI of the UE who reported the event.
-     * \param cellId The cell ID of the measured cell.
-     * \param rsrq The RSRQ of the cell as measured by the UE.
+     * @param rnti The RNTI of the UE who reported the event.
+     * @param cellId The cell ID of the measured cell.
+     * @param rsrq The RSRQ of the cell as measured by the UE.
      */
     void UpdateNeighbourMeasurements(uint16_t rnti, uint16_t cellId, uint8_t rsrq);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/a3-rsrp-handover-algorithm.cc ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.cc
--- ns-3.43/src/lte/model/a3-rsrp-handover-algorithm.cc	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.cc	2025-03-09 16:55:49.479371500 -0700
@@ -11,8 +11,8 @@
 
 #include "lte-common.h"
 
-#include <ns3/double.h>
-#include <ns3/log.h>
+#include "ns3/double.h"
+#include "ns3/log.h"
 
 #include <algorithm>
 #include <list>
@@ -119,45 +119,43 @@
         return;
     }
 
-    if (measResults.haveMeasResultNeighCells && !measResults.measResultListEutra.empty())
+    if (!measResults.haveMeasResultNeighCells || measResults.measResultListEutra.empty())
     {
-        uint16_t bestNeighbourCellId = 0;
-        uint8_t bestNeighbourRsrp = 0;
+        NS_LOG_WARN(
+            this << " Event A3 received without measurement results from neighbouring cells");
+        return;
+    }
 
-        for (auto it = measResults.measResultListEutra.begin();
-             it != measResults.measResultListEutra.end();
-             ++it)
+    uint16_t bestNeighbourCellId = 0;
+    uint8_t bestNeighbourRsrp = 0;
+
+    for (auto it = measResults.measResultListEutra.begin();
+         it != measResults.measResultListEutra.end();
+         ++it)
+    {
+        if (it->haveRsrpResult)
         {
-            if (it->haveRsrpResult)
-            {
-                if ((bestNeighbourRsrp < it->rsrpResult) && IsValidNeighbour(it->physCellId))
-                {
-                    bestNeighbourCellId = it->physCellId;
-                    bestNeighbourRsrp = it->rsrpResult;
-                }
-            }
-            else
+            if ((bestNeighbourRsrp < it->rsrpResult) && IsValidNeighbour(it->physCellId))
             {
-                NS_LOG_WARN("RSRP measurement is missing from cell ID " << it->physCellId);
+                bestNeighbourCellId = it->physCellId;
+                bestNeighbourRsrp = it->rsrpResult;
             }
         }
-
-        if (bestNeighbourCellId > 0)
+        else
         {
-            NS_LOG_LOGIC("Trigger Handover to cellId " << bestNeighbourCellId);
-            NS_LOG_LOGIC("target cell RSRP " << (uint16_t)bestNeighbourRsrp);
-            NS_LOG_LOGIC("serving cell RSRP " << (uint16_t)measResults.measResultPCell.rsrpResult);
-
-            // Inform eNodeB RRC about handover
-            m_handoverManagementSapUser->TriggerHandover(rnti, bestNeighbourCellId);
+            NS_LOG_WARN("RSRP measurement is missing from cell ID " << it->physCellId);
         }
     }
-    else
+
+    if (bestNeighbourCellId > 0)
     {
-        NS_LOG_WARN(
-            this << " Event A3 received without measurement results from neighbouring cells");
-    }
+        NS_LOG_LOGIC("Trigger Handover to cellId " << bestNeighbourCellId);
+        NS_LOG_LOGIC("target cell RSRP " << (uint16_t)bestNeighbourRsrp);
+        NS_LOG_LOGIC("serving cell RSRP " << (uint16_t)measResults.measResultPCell.rsrpResult);
 
+        // Inform eNodeB RRC about handover
+        m_handoverManagementSapUser->TriggerHandover(rnti, bestNeighbourCellId);
+    }
 } // end of DoReportUeMeas
 
 bool
@@ -166,7 +164,7 @@
     NS_LOG_FUNCTION(this << cellId);
 
     /**
-     * \todo In the future, this function can be expanded to validate whether the
+     * @todo In the future, this function can be expanded to validate whether the
      *       neighbour cell is a valid target cell, e.g., taking into account the
      *       NRT in ANR and whether it is a CSG cell with closed access.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/a3-rsrp-handover-algorithm.h ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.h
--- ns-3.43/src/lte/model/a3-rsrp-handover-algorithm.h	2024-10-09 16:41:09.928656000 -0700
+++ ns-3.44/src/lte/model/a3-rsrp-handover-algorithm.h	2025-03-09 16:55:49.479371500 -0700
@@ -14,13 +14,13 @@
 #include "lte-handover-management-sap.h"
 #include "lte-rrc-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 namespace ns3
 {
 
 /**
- * \brief Implementation of the strongest cell handover algorithm, based on RSRP
+ * @brief Implementation of the strongest cell handover algorithm, based on RSRP
  *        measurements and Event A3.
  *
  * The algorithm utilizes Event A3 (Section 5.5.4.4 of 3GPP TS 36.331) UE
@@ -47,7 +47,7 @@
  *                                               TimeValue (MilliSeconds (256)));
  *     NetDeviceContainer enbLteDevs = lteHelper->InstallEnbDevice (enbNodes);
  *
- * \note Setting the handover algorithm type and attributes after the call to
+ * @note Setting the handover algorithm type and attributes after the call to
  *       LteHelper::InstallEnbDevice does not have any effect to the devices
  *       that have already been installed.
  */
@@ -60,8 +60,8 @@
     ~A3RsrpHandoverAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -85,8 +85,8 @@
      * Determines if a neighbour cell is a valid destination for handover.
      * Currently always return true.
      *
-     * \param cellId The cell ID of the neighbour cell.
-     * \return True if the cell is a valid destination for handover.
+     * @param cellId The cell ID of the neighbour cell.
+     * @return True if the cell is a valid destination for handover.
      */
     bool IsValidNeighbour(uint16_t cellId);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/component-carrier.cc ns-3.44/src/lte/model/component-carrier.cc
--- ns-3.43/src/lte/model/component-carrier.cc	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/component-carrier.cc	2025-03-09 16:55:49.479371500 -0700
@@ -8,10 +8,10 @@
 
 #include "component-carrier.h"
 
-#include <ns3/abort.h>
-#include <ns3/boolean.h>
-#include <ns3/log.h>
-#include <ns3/uinteger.h>
+#include "ns3/abort.h"
+#include "ns3/boolean.h"
+#include "ns3/log.h"
+#include "ns3/uinteger.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/component-carrier-enb.cc ns-3.44/src/lte/model/component-carrier-enb.cc
--- ns-3.43/src/lte/model/component-carrier-enb.cc	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/component-carrier-enb.cc	2025-03-09 16:55:49.479371500 -0700
@@ -13,12 +13,12 @@
 #include "lte-enb-phy.h"
 #include "lte-ffr-algorithm.h"
 
-#include <ns3/abort.h>
-#include <ns3/boolean.h>
-#include <ns3/log.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/uinteger.h>
+#include "ns3/abort.h"
+#include "ns3/boolean.h"
+#include "ns3/log.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/uinteger.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/component-carrier-enb.h ns-3.44/src/lte/model/component-carrier-enb.h
--- ns-3.43/src/lte/model/component-carrier-enb.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/component-carrier-enb.h	2025-03-09 16:55:49.479371500 -0700
@@ -12,10 +12,10 @@
 #include "component-carrier.h"
 #include "lte-enb-phy.h"
 
-#include <ns3/nstime.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/pointer.h>
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/pointer.h"
 
 namespace ns3
 {
@@ -25,7 +25,7 @@
 class LteFfrAlgorithm;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Defines a single carrier for enb, and contains pointers to LteEnbPhy,
  * LteEnbMac, LteFfrAlgorithm, and FfMacScheduler objects.
@@ -35,8 +35,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -46,45 +46,45 @@
     void DoDispose() override;
 
     /**
-     * \return a pointer to the physical layer.
+     * @return a pointer to the physical layer.
      */
     Ptr<LteEnbPhy> GetPhy();
 
     /**
-     * \return a pointer to the MAC layer.
+     * @return a pointer to the MAC layer.
      */
     Ptr<LteEnbMac> GetMac();
 
     /**
-     * \return a pointer to the Ffr Algorithm.
+     * @return a pointer to the Ffr Algorithm.
      */
     Ptr<LteFfrAlgorithm> GetFfrAlgorithm();
 
     /**
-     * \return a pointer to the Mac Scheduler.
+     * @return a pointer to the Mac Scheduler.
      */
     Ptr<FfMacScheduler> GetFfMacScheduler();
 
     /**
      * Set the LteEnbPhy
-     * \param s a pointer to the LteEnbPhy
+     * @param s a pointer to the LteEnbPhy
      */
     void SetPhy(Ptr<LteEnbPhy> s);
     /**
      * Set the LteEnbMac
-     * \param s a pointer to the LteEnbMac
+     * @param s a pointer to the LteEnbMac
      */
     void SetMac(Ptr<LteEnbMac> s);
 
     /**
      * Set the FfMacScheduler Algorithm
-     * \param s a pointer to the FfMacScheduler
+     * @param s a pointer to the FfMacScheduler
      */
     void SetFfMacScheduler(Ptr<FfMacScheduler> s);
 
     /**
      * Set the LteFfrAlgorithm
-     * \param s a pointer to the LteFfrAlgorithm
+     * @param s a pointer to the LteFfrAlgorithm
      */
     void SetFfrAlgorithm(Ptr<LteFfrAlgorithm> s);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/component-carrier.h ns-3.44/src/lte/model/component-carrier.h
--- ns-3.43/src/lte/model/component-carrier.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/component-carrier.h	2025-03-09 16:55:49.479371500 -0700
@@ -9,13 +9,13 @@
 #ifndef COMPONENT_CARRIER_H
 #define COMPONENT_CARRIER_H
 
-#include <ns3/object.h>
+#include "ns3/object.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * ComponentCarrier Object, it defines a single Carrier
  * This is the parent class for both ComponentCarrierBaseStation
@@ -28,8 +28,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -39,55 +39,55 @@
     void DoDispose() override;
 
     /**
-     * \return the uplink bandwidth in RBs
+     * @return the uplink bandwidth in RBs
      */
     uint16_t GetUlBandwidth() const;
 
     /**
-     * \param bw the uplink bandwidth in RBs
+     * @param bw the uplink bandwidth in RBs
      */
     virtual void SetUlBandwidth(uint16_t bw);
 
     /**
-     * \return the downlink bandwidth in RBs
+     * @return the downlink bandwidth in RBs
      */
     uint16_t GetDlBandwidth() const;
 
     /**
-     * \param bw the downlink bandwidth in RBs
+     * @param bw the downlink bandwidth in RBs
      */
     virtual void SetDlBandwidth(uint16_t bw);
 
     /**
-     * \return the downlink carrier frequency (EARFCN)
+     * @return the downlink carrier frequency (EARFCN)
      */
     uint32_t GetDlEarfcn() const;
 
     /**
-     * \param earfcn the downlink carrier frequency (EARFCN)
+     * @param earfcn the downlink carrier frequency (EARFCN)
      */
     void SetDlEarfcn(uint32_t earfcn);
 
     /**
-     * \return the uplink carrier frequency (EARFCN)
+     * @return the uplink carrier frequency (EARFCN)
      */
     uint32_t GetUlEarfcn() const;
 
     /**
-     * \param earfcn the uplink carrier frequency (EARFCN)
+     * @param earfcn the uplink carrier frequency (EARFCN)
      */
     void SetUlEarfcn(uint32_t earfcn);
 
     /**
-     * \brief Returns the CSG ID of the eNodeB.
-     * \return the Closed Subscriber Group identity
+     * @brief Returns the CSG ID of the eNodeB.
+     * @return the Closed Subscriber Group identity
      * \sa LteEnbNetDevice::SetCsgId
      */
     uint32_t GetCsgId() const;
 
     /**
-     * \brief Associate the eNodeB device with a particular CSG.
-     * \param csgId the intended Closed Subscriber Group identity
+     * @brief Associate the eNodeB device with a particular CSG.
+     * @param csgId the intended Closed Subscriber Group identity
      *
      * CSG identity is a number identifying a Closed Subscriber Group which the
      * cell belongs to. eNodeB is associated with a single CSG identity.
@@ -100,15 +100,15 @@
     void SetCsgId(uint32_t csgId);
 
     /**
-     * \brief Returns the CSG indication flag of the eNodeB.
-     * \return the CSG indication flag
+     * @brief Returns the CSG indication flag of the eNodeB.
+     * @return the CSG indication flag
      * \sa LteEnbNetDevice::SetCsgIndication
      */
     bool GetCsgIndication() const;
 
     /**
-     * \brief Enable or disable the CSG indication flag.
-     * \param csgIndication if TRUE, only CSG members are allowed to access this
+     * @brief Enable or disable the CSG indication flag.
+     * @param csgIndication if TRUE, only CSG members are allowed to access this
      *                      cell
      *
      * When the CSG indication field is set to TRUE, only UEs which are members of
@@ -116,7 +116,7 @@
      * enforcing closed access mode. Otherwise, the eNodeB operates as a non-CSG
      * cell and implements open access mode.
      *
-     * \note This restriction only applies to initial cell selection and
+     * @note This restriction only applies to initial cell selection and
      *       EPC-enabled simulation.
      *
      * \sa LteEnbNetDevice::SetCsgIndication
@@ -124,14 +124,14 @@
     void SetCsgIndication(bool csgIndication);
 
     /**
-     * \brief Set as primary carrier
-     * \param primaryCarrier true to set as primary carrier
+     * @brief Set as primary carrier
+     * @param primaryCarrier true to set as primary carrier
      */
     void SetAsPrimary(bool primaryCarrier);
 
     /**
-     * \brief Checks if the carrier is the primary carrier
-     * \returns true if the carrier is primary
+     * @brief Checks if the carrier is the primary carrier
+     * @returns true if the carrier is primary
      */
     bool IsPrimary() const;
 
@@ -149,7 +149,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Defines a Base station, that is a ComponentCarrier but with a cell Id.
  *
@@ -158,30 +158,30 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     ComponentCarrierBaseStation();
 
     /**
-     * \brief ~ComponentCarrierBaseStation
+     * @brief ~ComponentCarrierBaseStation
      */
     ~ComponentCarrierBaseStation() override;
 
     /**
      * Get cell identifier
-     * \return cell identifier
+     * @return cell identifier
      */
     uint16_t GetCellId() const;
 
     /**
      * Set physical cell identifier
-     * \param cellId cell identifier
+     * @param cellId cell identifier
      */
     void SetCellId(uint16_t cellId);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/component-carrier-ue.cc ns-3.44/src/lte/model/component-carrier-ue.cc
--- ns-3.43/src/lte/model/component-carrier-ue.cc	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/component-carrier-ue.cc	2025-03-09 16:55:49.479371500 -0700
@@ -11,12 +11,12 @@
 #include "lte-ue-mac.h"
 #include "lte-ue-phy.h"
 
-#include <ns3/abort.h>
-#include <ns3/boolean.h>
-#include <ns3/log.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/uinteger.h>
+#include "ns3/abort.h"
+#include "ns3/boolean.h"
+#include "ns3/log.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/uinteger.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/component-carrier-ue.h ns-3.44/src/lte/model/component-carrier-ue.h
--- ns-3.43/src/lte/model/component-carrier-ue.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/component-carrier-ue.h	2025-03-09 16:55:49.479371500 -0700
@@ -13,9 +13,9 @@
 #include "lte-phy.h"
 #include "lte-ue-phy.h"
 
-#include <ns3/nstime.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
+#include "ns3/nstime.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
 
 namespace ns3
 {
@@ -23,7 +23,7 @@
 class LteUeMac;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * ComponentCarrierUe Object, it defines a single Carrier for the Ue
  */
@@ -31,8 +31,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -42,24 +42,24 @@
     void DoDispose() override;
 
     /**
-     * \return a pointer to the physical layer.
+     * @return a pointer to the physical layer.
      */
     Ptr<LteUePhy> GetPhy() const;
 
     /**
-     * \return a pointer to the MAC layer.
+     * @return a pointer to the MAC layer.
      */
     Ptr<LteUeMac> GetMac() const;
 
     /**
      * Set LteUePhy
-     * \param s a pointer to the LteUePhy
+     * @param s a pointer to the LteUePhy
      */
     void SetPhy(Ptr<LteUePhy> s);
 
     /**
      * Set the LteEnbMac
-     * \param s a pointer to the LteEnbMac
+     * @param s a pointer to the LteEnbMac
      */
     void SetMac(Ptr<LteUeMac> s);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/cqa-ff-mac-scheduler.cc ns-3.44/src/lte/model/cqa-ff-mac-scheduler.cc
--- ns-3.43/src/lte/model/cqa-ff-mac-scheduler.cc	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/cqa-ff-mac-scheduler.cc	2025-03-09 16:55:49.483371500 -0700
@@ -17,13 +17,13 @@
 #include "lte-amc.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/boolean.h>
-#include <ns3/integer.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
+#include "ns3/boolean.h"
+#include "ns3/integer.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
 
 #include <cfloat>
 #include <set>
@@ -53,9 +53,9 @@
 
 /**
  * CQI value comparator function
- * \param key1 the first item
- * \param key2 the second item
- * \returns true if the first item is > the second item
+ * @param key1 the first item
+ * @param key2 the second item
+ * @returns true if the first item is > the second item
  */
 bool
 CQIValueDescComparator(uint8_t key1, uint8_t key2)
@@ -65,9 +65,9 @@
 
 /**
  * CGA group comparator function
- * \param key1 the first item
- * \param key2 the second item
- * \returns true if the first item is > the second item
+ * @param key1 the first item
+ * @param key2 the second item
+ * @returns true if the first item is > the second item
  */
 bool
 CqaGroupDescComparator(int key1, int key2)
@@ -107,9 +107,9 @@
 
 /**
  * CQA key comparator
- * \param key1 the first item
- * \param key2 the second item
- * \returns true if the first item > the second item
+ * @param key1 the first item
+ * @param key2 the second item
+ * @returns true if the first item > the second item
  */
 bool
 CqaKeyDescComparator(uint16_t key1, uint16_t key2)
@@ -1495,7 +1495,8 @@
             }
 
             qos_rb_and_CQI_assigned_to_lc s;
-            s.cqi_value_for_lc = UeToCQIValue.find(userWithMaximumMetric)->second;
+            const auto ueToCqiIt = UeToCQIValue.find(userWithMaximumMetric);
+            s.cqi_value_for_lc = ueToCqiIt != UeToCQIValue.end() ? ueToCqiIt->second : 1;
             s.resource_block_index = currentRB;
 
             auto itMap = allocationMapPerRntiPerLCId.find(userWithMaximumMetric.m_rnti);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/cqa-ff-mac-scheduler.h ns-3.44/src/lte/model/cqa-ff-mac-scheduler.h
--- ns-3.43/src/lte/model/cqa-ff-mac-scheduler.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/cqa-ff-mac-scheduler.h	2025-03-09 16:55:49.483371500 -0700
@@ -19,7 +19,7 @@
 #include "lte-common.h"
 #include "lte-ffr-sap.h"
 
-#include <ns3/nstime.h>
+#include "ns3/nstime.h"
 
 #include <map>
 #include <set>
@@ -40,8 +40,8 @@
 };
 
 /**
- * \ingroup ff-api
- * \brief Implements the SCHED SAP and CSCHED SAP for the Channel and QoS Aware Scheduler
+ * @ingroup ff-api
+ * @brief Implements the SCHED SAP and CSCHED SAP for the Channel and QoS Aware Scheduler
  *
  * This class implements the interface defined by the FfMacScheduler abstract class
  */
@@ -50,7 +50,7 @@
 {
   public:
     /**
-     * \brief Constructor
+     * @brief Constructor
      *
      * Creates the MAC Scheduler interface implementation
      */
@@ -64,8 +64,8 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -86,8 +86,8 @@
 
     /**
      * Trans mode config update
-     * \param rnti the RNTI
-     * \param txMode the transmit mode
+     * @param rnti the RNTI
+     * @param txMode the transmit mode
      */
     void TransmissionModeConfigurationUpdate(uint16_t rnti, uint8_t txMode);
 
@@ -99,31 +99,31 @@
 
     /**
      * Csched Cell Config Request
-     * \param params CschedCellConfigReqParameters&
+     * @param params CschedCellConfigReqParameters&
      */
     void DoCschedCellConfigReq(const FfMacCschedSapProvider::CschedCellConfigReqParameters& params);
 
     /**
      * Csched UE Config Request
-     * \param params CschedUeConfigReqParameters&
+     * @param params CschedUeConfigReqParameters&
      */
     void DoCschedUeConfigReq(const FfMacCschedSapProvider::CschedUeConfigReqParameters& params);
 
     /**
      * Csched LC Config Request
-     * \param params CschedLcConfigReqParameters&
+     * @param params CschedLcConfigReqParameters&
      */
     void DoCschedLcConfigReq(const FfMacCschedSapProvider::CschedLcConfigReqParameters& params);
 
     /**
      * Csched LC Release Request
-     * \param params CschedLcReleaseReqParameters&
+     * @param params CschedLcReleaseReqParameters&
      */
     void DoCschedLcReleaseReq(const FfMacCschedSapProvider::CschedLcReleaseReqParameters& params);
 
     /**
      * Csched UE Release Request
-     * \param params CschedUeReleaseReqParameters&
+     * @param params CschedUeReleaseReqParameters&
      */
     void DoCschedUeReleaseReq(const FfMacCschedSapProvider::CschedUeReleaseReqParameters& params);
 
@@ -134,92 +134,92 @@
 
     /**
      * Sched DL RLC Buffer Request
-     * \param params SchedDlRlcBufferReqParameters&
+     * @param params SchedDlRlcBufferReqParameters&
      */
     void DoSchedDlRlcBufferReq(const FfMacSchedSapProvider::SchedDlRlcBufferReqParameters& params);
 
     /**
      * Sched DL Paging Buffer Request
-     * \param params SchedDlPagingBufferReqParameters&
+     * @param params SchedDlPagingBufferReqParameters&
      */
     void DoSchedDlPagingBufferReq(
         const FfMacSchedSapProvider::SchedDlPagingBufferReqParameters& params);
 
     /**
      * Sched DL MAC Buffer Request
-     * \param params SchedDlMacBufferReqParameters&
+     * @param params SchedDlMacBufferReqParameters&
      */
     void DoSchedDlMacBufferReq(const FfMacSchedSapProvider::SchedDlMacBufferReqParameters& params);
 
     /**
      * Sched DL RLC Buffer Request
-     * \param params SchedDlTriggerReqParameters&
+     * @param params SchedDlTriggerReqParameters&
      */
     void DoSchedDlTriggerReq(const FfMacSchedSapProvider::SchedDlTriggerReqParameters& params);
 
     /**
      * Sched DL RACH Info Request
-     * \param params SchedDlRachInfoReqParameters&
+     * @param params SchedDlRachInfoReqParameters&
      */
     void DoSchedDlRachInfoReq(const FfMacSchedSapProvider::SchedDlRachInfoReqParameters& params);
 
     /**
      * Sched DL CGI Info Request
-     * \param params SchedDlCqiInfoReqParameters&
+     * @param params SchedDlCqiInfoReqParameters&
      */
     void DoSchedDlCqiInfoReq(const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params);
 
     /**
      * Sched UL Trigger Request
-     * \param params SchedUlTriggerReqParameters&
+     * @param params SchedUlTriggerReqParameters&
      */
     void DoSchedUlTriggerReq(const FfMacSchedSapProvider::SchedUlTriggerReqParameters& params);
 
     /**
      * Sched UL Noise InterferenceRequest
-     * \param params SchedUlNoiseInterferenceReqParameters&
+     * @param params SchedUlNoiseInterferenceReqParameters&
      */
     void DoSchedUlNoiseInterferenceReq(
         const FfMacSchedSapProvider::SchedUlNoiseInterferenceReqParameters& params);
 
     /**
      * Sched UL Sr Info Request
-     * \param params SchedUlSrInfoReqParameters&
+     * @param params SchedUlSrInfoReqParameters&
      */
     void DoSchedUlSrInfoReq(const FfMacSchedSapProvider::SchedUlSrInfoReqParameters& params);
 
     /**
      * Sched UL MAC Control Info Request
-     * \param params SchedUlMacCtrlInfoReqParameters&
+     * @param params SchedUlMacCtrlInfoReqParameters&
      */
     void DoSchedUlMacCtrlInfoReq(
         const FfMacSchedSapProvider::SchedUlMacCtrlInfoReqParameters& params);
 
     /**
      * Sched UL CGI Info Request
-     * \param params SchedUlCqiInfoReqParameters&
+     * @param params SchedUlCqiInfoReqParameters&
      */
     void DoSchedUlCqiInfoReq(const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params);
 
     /**
      * Get RBG Size
-     * \param dlbandwidth the DL bandwidth
-     * \returns the size
+     * @param dlbandwidth the DL bandwidth
+     * @returns the size
      */
     int GetRbgSize(int dlbandwidth);
 
     /**
      * LC Active per flow
-     * \param rnti the RNTI
-     * \returns the LC active per flow
+     * @param rnti the RNTI
+     * @returns the LC active per flow
      */
     unsigned int LcActivePerFlow(uint16_t rnti);
 
     /**
      * Estimate UL Sinr
-     * \param rnti the RNTI
-     * \param rb the RB
-     * \returns the UL SINR
+     * @param rnti the RNTI
+     * @param rb the RB
+     * @returns the UL SINR
      */
     double EstimateUlSinr(uint16_t rnti, uint16_t rb);
 
@@ -230,36 +230,36 @@
 
     /**
      * Update DL RLC buffer info
-     * \param rnti the RNTI
-     * \param lcid the LCID
-     * \param size the size
+     * @param rnti the RNTI
+     * @param lcid the LCID
+     * @param size the size
      */
     void UpdateDlRlcBufferInfo(uint16_t rnti, uint8_t lcid, uint16_t size);
     /**
      * Update UL RLC buffer info
-     * \param rnti the RNTI
-     * \param size the size
+     * @param rnti the RNTI
+     * @param size the size
      */
     void UpdateUlRlcBufferInfo(uint16_t rnti, uint16_t size);
 
     /**
-     * \brief Update and return a new process Id for the RNTI specified
+     * @brief Update and return a new process Id for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the process id  value
+     * @param rnti the RNTI of the UE to be updated
+     * @return the process id  value
      */
     uint8_t UpdateHarqProcessId(uint16_t rnti);
 
     /**
-     * \brief Return the availability of free process for the RNTI specified
+     * @brief Return the availability of free process for the RNTI specified
      *
-     * \param rnti the RNTI of the UE to be updated
-     * \return the availability
+     * @param rnti the RNTI of the UE to be updated
+     * @return the availability
      */
     bool HarqProcessAvailability(uint16_t rnti);
 
     /**
-     * \brief Refresh HARQ processes according to the timers
+     * @brief Refresh HARQ processes according to the timers
      *
      */
     void RefreshHarqProcesses();
